Bug 251688 - dhcpd start script with old path for selinux context
dhcpd start script with old path for selinux context
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dhcp (Show other bugs)
5.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-10 08:57 EDT by Thorsten Schirmers
Modified: 2008-05-21 11:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0323
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:24:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Schirmers 2007-08-10 08:57:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.0.12) Gecko/20070718 Fedora/1.5.0.12-4.fc6 Firefox/1.5.0.12 pango-text

Description of problem:
In /etc/init.d/dhcpd this path will be used for selinux:
"&& /sbin/restorecon /var/lib/dhcp/dhcpd.leases >/dev/null 2>&1"
In this version the lease-file is located under /var/lib/dhcpd.


Version-Release number of selected component (if applicable):
dhcp-3.0.5-5.el5

How reproducible:
Always


Steps to Reproduce:
1.installation of dhcp-3.0.5-5.el5
2.default path /var/lib/dhcpd/ didn't match the path in init script


Actual Results:
with enanbled selinux dhcp-server will not work properly

Expected Results:


Additional info:
Comment 1 David Cantrell 2007-11-12 13:39:10 EST
Fixed this in rawhide, flagging for RHEL-5 evaluation.
Comment 2 RHEL Product and Program Management 2007-11-12 13:44:47 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 David Cantrell 2007-11-19 14:46:01 EST
Fixed in dhcp-3.0.5-8.el5.  Moving to MODIFIED.
Comment 8 errata-xmlrpc 2008-05-21 11:24:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0323.html

Note You need to log in before you can comment on or make changes to this bug.